VTK: vtkOpenGLContextDevice2D::CellArrayHelper Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | List of all members
vtkOpenGLContextDevice2D::CellArrayHelper Class Reference

`#include <vtkOpenGLContextDevice2DPrivate.h>`

## Public Types
enum | CellType { LINE = 1 , POLYGON }

## Public Member Functions
| CellArrayHelper (vtkOpenGLContextDevice2D *device)
| ~CellArrayHelper ()
void | Draw (int cellType, vtkPolyData *polyData, vtkPoints *points, float x, float y, float scale, int scalarMode, vtkUnsignedCharArray *colors=nullptr)
| Draw primitives as specified by cellType. More...
void | HandleEndFrame ()

## Detailed Description

Definition at line 528 of file vtkOpenGLContextDevice2DPrivate.h.

## Member Enumeration Documentation

## ◆ CellType

enum vtkOpenGLContextDevice2D::CellArrayHelper::CellType

Enumerator
LINE |
POLYGON |

Definition at line 532 of file vtkOpenGLContextDevice2DPrivate.h.

## Constructor & Destructor Documentation

## ◆ CellArrayHelper()

vtkOpenGLContextDevice2D::CellArrayHelper::CellArrayHelper | ( | vtkOpenGLContextDevice2D * | device | ) |
| inline

Definition at line 539 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ ~CellArrayHelper()

vtkOpenGLContextDevice2D::CellArrayHelper::~CellArrayHelper | ( |  | ) |
| inline

Definition at line 549 of file vtkOpenGLContextDevice2DPrivate.h.

## Member Function Documentation

## ◆ Draw()

void vtkOpenGLContextDevice2D::CellArrayHelper::Draw | ( | int | cellType,
|  | vtkPolyData * | polyData,
|  | vtkPoints * | points,
|  | float | x,
|  | float | y,
|  | float | scale,
|  | int | scalarMode,
|  | vtkUnsignedCharArray * | colors = `nullptr`
| ) |  |
| inline

Draw primitives as specified by cellType.

Definition at line 554 of file vtkOpenGLContextDevice2DPrivate.h.

## ◆ HandleEndFrame()

void vtkOpenGLContextDevice2D::CellArrayHelper::HandleEndFrame | ( |  | ) |
| inline

Definition at line 573 of file vtkOpenGLContextDevice2DPrivate.h.

The documentation for this class was generated from the following file:

- Rendering/ContextOpenGL2/vtkOpenGLContextDevice2DPrivate.h